# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['yaex']

package_data = \
{'': ['*']}

setup_kwargs = {
    'name': 'yaex',
    'version': '1.0.0',
    'description': 'This is a library based on the ex command.',
    'long_description': '# Yet Another EX command library\n\nThis is a library based on the ex command. So, it works the same way :)\n\n## Usage\n\n```python\nfrom yaex import *\n\nresult = yaex(\n    append("Hello"),\n    append("World"),\n)\nprint(result)\n# >Hello\n# >World\n# >\n\nresult = yaex(\n    append("first line"),\n    append("second line"),\n    append("third line"),\n    go_to(2),\n    delete(),\n)\nprint(result)\n# >first line\n# >third line\n# >\n\nresult = yaex(\n    append("first line"),\n    append("second line"),\n    append("third line"),\n    move(-1),\n    delete(),\n)\nprint(result)\n# >first line\n# >third line\n# >\n\nresult = yaex(\n    append("first line"),\n    append("second line"),\n    append("third line"),\n    search("second"),\n    delete(),\n)\nprint(result)\n# >first line\n# >third line\n# >\n\nresult = yaex(\n    append("# yaex\\n\\nThis is a library based on the ex command.\\n"),\n    go_to_first_line(),\n    delete(),\n    insert("# Yet Another EX command library"),\n)\nprint(result)\n# ># Yet Another EX command library\n# >\n# >This is a library based on the ex command.\n# >\n\nresult = yaex(\n    append("first line\\nsecond line\\nthird line\\nfourth line\\nfifth line\\nsixth line\\n"),\n    delete().from_range(search("second"), search("fifth")),\n)\nprint(result)\n# >first line\n# >sixth line\n# >\n\nresult = yaex(\n    append("first line\\nsecond line\\nthird line\\nfourth line\\nfifth line\\nsixth line\\n"),\n    substitute("line", "LINE").from_range(go_to_first_line(), go_to_last_line()),\n)\nprint(result)\n# >first LINE\n# >second LINE\n# >third LINE\n# >fourth LINE\n# >fifth LINE\n# >sixth LINE\n# >\n```\n',
    'author': 'Emerson Max de Medeiros Silva',
    'author_email': 'emersonmx@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/emersonmx/yaex',
    'packages': packages,
    'package_data': package_data,
    'python_requires': '>=3.10,<4.0',
}


setup(**setup_kwargs)
